MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028313Open CASCADE[OCCT] OCCT:DRAWpublic2016-12-28 17:562017-05-19 15:36
Reportermsv 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0*Fixed in Version 
Summary0028313: Extend Draw functionality with some new useful commands and features
DescriptionI propose to integrate in OCCT some useful Draw commands and features that I use permanently in my work.

They include extension of main TK window with buttons that allow manipulation of view by mouse, and a set of new TCL procedures.
Steps To ReproduceNone
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0062268)
git (administrator)
2016-12-28 18:12

Branch CR28313 has been created by msv.

SHA-1: 48ed979904df96d6bc77a436cc5b6f48b315cb3e


Detailed log of new commits:

Author: msv
Date: Wed Dec 28 18:12:17 2016 +0300

    0028313: Extend Draw functionality with some new useful commands and features
    
    1) In Views menu the check button item "Extended view commands" has been added. Pressing on it shows/hides the set of buttons in the main window that allow manipulating of view zoom/pan/rotate by mouse.
    
    2) New category of commands "Vector and measurement Commands" has been added. The commands in this category allow simple calculations using 2D and 3D vectors, such as cross and dot products, computation of distances of points to other objects, and other functions.
    
    3) The new command "pickf" has been added in "DRAW Variables management" category. It allows extracting a picked with mouse face included in some shape as a new variable.
    
    4) New commands "del" and "era" have been added in "DRAW Variables management" category. They allow deleting (destructing) or erasing (from view) variables matched by glob pattern.
    
    5) Help for commands "don", "donl", "disp" has been added.
(0062269)
msv (developer)
2016-12-28 18:14

Dear Andrey, please review the branch CR28313.
(0062293)
aml (developer)
2016-12-29 10:40

It is necessary to mention these modifications in the documentation. The most suitable places are (IMHO):

1) Draw Test Harness
2) Debugging tools and hints.
(0062397)
abv (manager)
2017-01-03 17:25

As we discussed, please consider removing duplicate DRAW commands, such as don and donl
(0062910)
git (administrator)
2017-01-23 15:59

Branch CR28313 has been updated forcibly by msv.

SHA-1: 98d46a86e1b96750b93febae08431c27f6a8937f
(0062911)
git (administrator)
2017-01-23 16:01

Branch CR28313_1 has been created by msv.

SHA-1: 41b95d7518cdda04d51237570e598d0551280951


Detailed log of new commits:

Author: msv
Date: Wed Dec 28 18:12:17 2016 +0300

    0028313: Extend Draw functionality with some new useful commands and features
    
    1) In Views menu the check button item "Extended view commands" has been added. Pressing on it shows/hides the set of buttons in the main window that allow manipulating of view zoom/pan/rotate by mouse.
    
    2) New category of commands "Vector and measurement Commands" has been added. The commands in this category allow simple calculations using 2D and 3D vectors, such as cross and dot products, computation of distances of points to other objects, and other functions.
    
    3) The new command "pickf" has been added in "DRAW Variables management" category. It allows extracting a picked with mouse face included in some shape as a new variable.
    
    4) New commands "del" and "era" have been added in "DRAW Variables management" category. They allow deleting (destructing) or erasing (from view) variables matched by glob pattern.
    
    5) Missing help for some commands like "don", "disp" and others has been added.
(0062912)
msv (developer)
2017-01-23 16:03

Please review again.
(0063078)
abv (manager)
2017-01-26 12:48

Can you please rearrange commands "help" and definition of DRAW Tcl procedures so that help is before the procedure, not after it? This is common practice to put comment before the method, not at the end. Currently the order is reversed and it is quite confusing.
(0063081)
msv (developer)
2017-01-26 12:55

I agree. I did so as continuation of old code.
(0063083)
git (administrator)
2017-01-26 13:11

Branch CR28313_1 has been updated by msv.

SHA-1: b11ef89c1e4e9091dbe9aba645625e44d30013b9


Detailed log of new commits:

Author: msv
Date: Thu Jan 26 13:11:18 2017 +0300

    //Put help for the commands before their definition.

(0063085)
msv (developer)
2017-01-26 13:12

Done. Please review.
(0063090)
abv (manager)
2017-01-26 15:34

No more remarks, please test
(0063103)
git (administrator)
2017-01-26 17:50

Branch CR28313_1 has been updated forcibly by apv.

SHA-1: c1b62227de86dd3441e27140505d4f18aa5570d4
(0063104)
apv (tester)
2017-01-26 17:51

Branch CR28313_1 has been rebased on IR-2017-01-26
(0063119)
apv (tester)
2017-01-27 14:56

Dear BugMaster,

Branch CR27313_1 from occt git-repository (and IR-2017-01-26 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: c1b62227de86dd3441e27140505d4f18aa5570d4

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1122

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 91728285 / 92310306 [-0.63%]
Total CPU difference: 19775.180000000182 / 19914.260000000217 [-0.70%]

Testing on Windows:
Total MEMORY difference: 57618713 / 57618048 [+0.00%]
Total CPU difference: 18450.394270998622 / 18683.178963198647 [-1.25%]
(0063605)
git (administrator)
2017-02-08 11:36

Branch CR28313 has been deleted by kgv.

SHA-1: 98d46a86e1b96750b93febae08431c27f6a8937f
(0063606)
git (administrator)
2017-02-08 11:36

Branch CR28313_1 has been deleted by kgv.

SHA-1: c1b62227de86dd3441e27140505d4f18aa5570d4

- Related Changesets
occt: master 472634fa
Timestamp: 2017-02-02 12:57:58
Author: msv
Committer: apn
Details ] Diff ]
0028313: Extend Draw functionality with some new useful commands and features

1) In Views menu the check button item "Extended view commands" has been added. Pressing on it shows/hides the set of buttons in the main window that allow manipulating of view zoom/pan/rotate by mouse.

2) New category of commands "Vector and measurement Commands" has been added. The commands in this category allow simple calculations using 2D and 3D vectors, such as cross and dot products, computation of distances of points to other objects, and other functions.

3) The new command "pickf" has been added in "DRAW Variables management" category. It allows extracting a picked with mouse face included in some shape as a new variable.

4) New commands "del" and "era" have been added in "DRAW Variables management" category. They allow deleting (destructing) or erasing (from view) variables matched by glob pattern.

5) Missing help for some commands like "don", "disp" and others has been added.
mod - tests/bugs/moddata_2/bug354_2 Diff ] File ]
mod - tests/bugs/moddata_2/bug6862_8 Diff ] File ]
mod - src/DrawResources/DrawTK.tcl Diff ] File ]
mod - src/DrawResources/StandardCommands.tcl Diff ] File ]
mod - tests/bugs/moddata_2/bug592 Diff ] File ]
add - src/DrawResources/Vector.tcl Diff ] File ]
mod - src/DrawResources/Geometry.tcl Diff ] File ]
mod - src/DrawResources/Move.tcl Diff ] File ]
mod - src/DrawResources/DrawDefault Diff ] File ]
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff ] File ]
mod - tests/bugs/moddata_2/bug6862_9 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-28 17:56 msv New Issue
2016-12-28 17:56 msv Assigned To => msv
2016-12-28 18:12 git Note Added: 0062268
2016-12-28 18:13 msv Status new => assigned
2016-12-28 18:14 msv Note Added: 0062269
2016-12-28 18:14 msv Assigned To msv => abv
2016-12-28 18:14 msv Status assigned => resolved
2016-12-29 10:40 aml Note Added: 0062293
2017-01-03 17:25 abv Note Added: 0062397
2017-01-03 17:25 abv Assigned To abv => msv
2017-01-03 17:25 abv Status resolved => assigned
2017-01-23 15:59 git Note Added: 0062910
2017-01-23 16:01 git Note Added: 0062911
2017-01-23 16:03 msv Note Added: 0062912
2017-01-23 16:03 msv Assigned To msv => abv
2017-01-23 16:03 msv Status assigned => resolved
2017-01-26 12:48 abv Note Added: 0063078
2017-01-26 12:48 abv Assigned To abv => msv
2017-01-26 12:48 abv Status resolved => assigned
2017-01-26 12:55 msv Note Added: 0063081
2017-01-26 13:11 git Note Added: 0063083
2017-01-26 13:12 msv Note Added: 0063085
2017-01-26 13:12 msv Assigned To msv => abv
2017-01-26 13:12 msv Status assigned => resolved
2017-01-26 15:34 abv Note Added: 0063090
2017-01-26 15:34 abv Assigned To abv => bugmaster
2017-01-26 15:34 abv Status resolved => reviewed
2017-01-26 17:25 apv Assigned To bugmaster => apv
2017-01-26 17:50 git Note Added: 0063103
2017-01-26 17:51 apv Note Added: 0063104
2017-01-27 14:27 apv Test case number => Not needed
2017-01-27 14:56 apv Note Added: 0063119
2017-01-27 14:56 apv Assigned To apv => bugmaster
2017-01-27 14:56 apv Status reviewed => tested
2017-02-03 16:52 apn Changeset attached => occt master 472634fa
2017-02-03 16:52 apn Assigned To bugmaster => apn
2017-02-03 16:52 apn Status tested => verified
2017-02-03 16:52 apn Resolution open => fixed
2017-02-08 11:36 git Note Added: 0063605
2017-02-08 11:36 git Note Added: 0063606
2017-03-03 17:41 bugmaster Target Version 7.2.1 => 7.2.0*
2017-03-06 11:52 bugmaster Target Version 7.2.0* => 7.2.1
2017-05-19 15:36 abv Target Version 7.2.1 => 7.2.0*


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker